platformCredentialAuthenticationMethod 资源类型

命名空间:microsoft.graph

重要

Microsoft Graph /beta 版本下的 API 可能会发生更改。 不支持在生产应用程序中使用这些 API。 若要确定 API 是否在 v1.0 中可用,请使用 版本 选择器。

表示在 Mac OS 上注册到用户的平台凭据实例。 平台凭据是 Mac OS 设备的一种登录身份验证方法。

此派生类型继承自 authenticationMethod 资源类型。

方法

方法 返回类型 Description
List platformCredentialAuthenticationMethod 集合 获取 platformCredentialAuthenticationMethod 对象及其属性的列表。
Get platformCredentialAuthenticationMethod 读取 platformCredentialAuthenticationMethod 对象的属性和关系。
删除 无 删除 platformCredentialAuthenticationMethod 对象。

属性

属性 类型 说明
createdDateTime DateTimeOffset 注册此平台凭据密钥的日期和时间。
displayName String 注册平台凭据的设备名称。
id String 此身份验证方法的唯一标识符。 继承自 authenticationMethod
lastUsedDateTime DateTimeOffset 用户上次使用身份验证方法的日期和时间。 只读。 可选。 如果身份验证方法未填充此可选值,则表示 null 此可选值。 时间戳类型使用 ISO 8601 格式表示日期和时间信息,并且始终采用 UTC 格式。 例如,2014 年 1 月 1 日午夜 UTC 为 2014-01-01T00:00:00Z。 继承自 authenticationMethod。
keyStrength authenticationMethodKeyStrength 此平台凭据密钥的关键强度。 可能的值包括 normal、weak、unknown。
平台 authenticationMethodPlatform 存在此平台凭据密钥的平台。 可能的值为:unknown、、windowsmacOS、iOSandroidlinux。

关系

关系 类型 说明
设备 设备 此平台凭据所在的已注册设备。 支持 $expand。

获取用户的平台凭据注册信息时,此属性仅在单个 GET 上返回,并且在指定 ?$expand. 例如,GET /users/admin@contoso.com/authentication/platformCredentialAuthenticationMethod/_jpuR-TGZtk6aQCLF3BQjA2?$expand=device.

JSON 表示形式

以下 JSON 表示形式显示资源类型。

{
  "@odata.type": "#microsoft.graph.platformCredentialAuthenticationMethod",
  "id": "String (Identifier)",
  "displayName": "String",
  "createdDateTime": "String (timestamp)",
  "lastUsedDateTime": "String (timestamp)",
  "keyStrength": {"@odata.type": "microsoft.graph.authenticationMethodKeyStrength"},
  "platform": {"@odata.type": "microsoft.graph.authenticationMethodPlatform"}
}